Subject: Re: Random stack corruption on v5.13 with dra76

From: Tony Lindgren <[email-masked]>
Date: Fri, 21 May 2021 10:39:52 +0300

* Tomi Valkeinen <[email-masked]> [210521 07:05]:
> On 21/05/2021 08:36, Tony Lindgren wrote:
> > * Tomi Valkeinen <[email-masked]> [210520 08:27]:
> > > Hi,
> > > 
> > > I've noticed that the v5.13 rcs crash randomly (but quite often) on dra76 evm
> > > (I haven't tested other boards). Anyone else seen this problem?
> > 
> > I have not seen this so far and beagle-x15 is behaving for me.
> > 
> > Does it always happen on boot?
> 
> No, but quite often. I can't really say how often, as it's annoyingly random.
> I tried to bisect, but that proved to be difficult as sometimes I get multiple (5+)
> successful boots before the crash.
> 
> I tested with x15, same issue (below). So... Something in my kernel config? Or compiler?
> Looks like the crash happens always very soon after (or during) probing palmas.

After about 10 reboots with your .config I'm seeing it now too on
beagle-x15. So far no luck reproducing it with omap2plus_defconfig.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel